<?
if (!defined("_GNUBOARD_")) exit;	// 개별 페이지 접근 불가
?>
<style type="text/css">
body	{ background:#fff; }
#icon_police	{ cursor:hand; }
#max_byte		{ color:#828282; text-align:right; font-size:11px; }
#max_lenth		{  }
#char_count		{ color:#FF0000; }

span.member		{ color:#B3B3B3; }
.comment_hide	{ display:none; }
.comment		{ color:#FF0000 !important; }
.datetime_txt	{ color:#CBCBCB; font-size:10px; margin:0 5px 0 5px; }

.board_page_no			{ border:1px solid #FFFFFF; padding:1px 6px 1px 6px; margin:0 2px 0 2px; color:#616161; text-decoration:none; }
.board_page_no_current	{ border:1px solid #B5C8C8; padding:1px 6px 1px 6px; margin:0 2px 0 2px; color:#5695DA; background-color:#F6FAFE; text-decoration:none; }

#zm_comment_doc			{ word-wrap:break-word; font-size:1.063em; margin:0 0 10px 0; }
#zm_comment_name_area	{ margin:10px 2px 10px 0; font-size:0.875em; color: }

/* 추천 */
#zm_comment_good	{ clear:both; }
#zm_comment_good span.bttn1 { margin:3px; } /* 버튼들 간격 */
#zm_comment_good a span	{ font-size:12px; }

.good_box		{ display:inline-block; width:40px; border:1px solid #C6C6C6; background:#F7F7F7; padding:2px 5px 5px 5px; color:#242424; font-size:12px; border-radius:2px; overflow:hidden; white-space:nowrap; }

input[type="button"]	{ background:#5495B6; height:30px; border:1px solid #475963; border-radius:2px; color:#fff; }

table tr td		{ text-align:left; font-size:12px; }
a:visited, a:active, a:link, a:hover	{ color:#040404; }

#commentCount	{ margin:2px 0 2px 0; padding:0; border:1px solid #C7C7C7;  text-align:left; background:#EFEFEF; }
.comment_open	{ display:inline-block; border-right:1px solid #C7C7C7; background:#fff; padding:10px 20px 10px 20px; margin:0 0 -1px 0; font-weight:bold; }

/* buttons */
.bttn1	{ border:1px solid #C6C6C6; background:#F7F7F7; padding:4px 5px 3px 5px; color:#242424; height:28px; font-size:12px; border-radius:2px; }
.bttn1 a { color:#636363; }
</style>

<script type="text/javascript">
// 글자수 제한
var char_min = parseInt(<?=$comment_min?>); // 최소
var char_max = parseInt(<?=$comment_max?>); // 최대
function fix_doc_height() {
	$("#ifrmcmmt", parent.document).height(50);

	try{
		if(browser.name == "msie") aHeight	= 20;
		else aHeight = 0;
		$("#ifrmcmmt", parent.document).height($(document).height()+aHeight);
	}catch(e) {
		parent.document.all.ifrmcmmt.style.height	= document.clientHeight;
	}
}

$(document).ready(function() {
	fix_doc_height();
});

function viewComment() {
	if(document.getElementById("commentContents").style.display == "block") return false;

	$('#commentContents').css('display', 'block')

	fix_doc_height();
}
</script>

<? if ($cwin==1) { ?><table width=100% cellpadding=10 align=center><tr><td><?}?>

<!-- 코멘트 리스트 -->
<div id="commentCount">
	<span class="comment_open"><a href="#" onClick="viewComment(); this.blur()">댓글 <span class="comment"><?=number_format($total_comment_count)?></span></a></span>
</div>

<div id="commentContents" class="<?=($cmmtview)?"comment_hide":""?>">
<!-- 베스트 댓글 -->
<?  for ($i=0; $i<count($best_comment); $i++) :
$best_comment[$i][datetime] = str_replace("-", ".", $best_comment[$i][datetime]); ?>
<table width=100% cellpadding=0 cellspacing=0 border=0>
<tr>
    <td><? for ($k=0; $k<strlen($best_comment[$i][wr_comment_reply]); $k++) echo "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"; ?></td>
    <td width='100%'>
        <table border=0 cellpadding=0 cellspacing=0 width=100%>
        <tr>
            <td valign=top>
                <div style="height:28px; background:url(<?=$board_skin_path?>/img/co_title_bg.gif); clear:both; line-height:28px;">
                <div style="float:left; margin:2px 0 0 2px;"><img src="<?=$board_skin_path?>/img/icon_best_front.gif">
                <?=$best_comment[$i][name]?>
                </div>
                <div style="float:right; margin-top:5px;">
                <? if ($is_ip_view) { echo "&nbsp;<span style=\"color:#B2B2B2; font-size:11px;\">{$list[$i][ip]}</span>"; } ?>
				<!-- 댓글 추천 -->
				<a href="javascript:zm_board_vote('comment', 'good', '<?=$bo_table?>', '<?=$list[$i][wr_id]?>'); this.blur();" style="text-decoration:none;"><img src="<?=$board_skin_path?>/img/icon_good.gif" border='0' align="absmiddle"> <span id="good_<?=$list[$i][wr_id]?>"><?=$best_comment[$i][wr_good]?></span></a>

				<?=zm_police($tcd, $best_comment[$i][wr_id])?>
                </div>
                </div>

                <!-- 코멘트 출력 -->
                <div style='line-height:20px; padding:7px; word-break:break-all; overflow:hidden; clear:both; background-color:#FBFBFB; '>
                <?
                if (strstr($best_comment[$i][wr_option], "secret")) echo "<span style='color:#ff6600;'>*</span> ";
                $str = $best_comment[$i][content];
                if (strstr($best_comment[$i][wr_option], "secret"))
                    $str = "<span class='small' style='color:#333333;'>$str</span>";

                $str = preg_replace("/\[\<a\s.*href\=\"(http|https|ftp|mms)\:\/\/([^[:space:]]+)\.(mp3|wma|wmv|asf|asx|mpg|mpeg)\".*\<\/a\>\]/i", "<script>doc_write(obj_movie('$1://$2.$3'));</script>", $str);
                $str = preg_replace("/\[\<a\s*href\=\"(http|https|ftp)\:\/\/([^[:space:]]+)\.(gif|png|jpg|jpeg|bmp)\"\s*[^\>]*\>[^\s]*\<\/a\>\]/i", "<img src='$1://$2.$3' id='target_resize_image[]' onclick='image_window(this);' border='0'>", $str);
                echo $str; ?>
				<span class="datetime_txt"><?=$best_comment[$i][datetime]?></span>
                </div>
				</td>
        </tr>
        <tr>
            <td height=1 colspan=3 bgcolor="#EFEFEF"><td>
        </tr>
        </table>

    </td>
</tr>
</table>
<? endfor; ?>
<!-- 베스트 댓글 끝 -->

<?
for ($i = 0; $i < count($list); $i++) {
    $comment_id = $list[$i][wr_id];
	$list[$i][datetime] = str_replace("-", ".", $list[$i][datetime]);
	$reply_blank	= 0;			//-- 댓글 들여쓰기 공간
	$reply_icon		= "";			//-- 리플 아이콘
?>
<div id="zm_comment_box" style="display:block; border-bottom:1px solid #EAEAEA; padding:10px 0 10px 3px; margin:2px 0 2px 0; clear:both;">
	<div id="zm_comment_doc">
<?		for ($k = 0; $k < strlen($list[$i][wr_comment_reply]); $k++) $reply_blank += 6;				//-- 댓글 들여쓰기 공간
		if($reply_blank > 0) $reply_icon = "<img src='$board_skin_path/img/icon_reply.gif'>";		//-- 댓글 아이콘 ?>
		<span style="padding:2px 0 0 <?=$reply_blank?>px;"><?=$reply_icon?></span>

		<!-- 코멘트 출력 -->
<?      if($list[$i][wr_mobile]) echo "<img src='$board_skin_path/img/icon_mobile.gif' valign='absmiddle'> ";
		if (strstr($list[$i][wr_option], "secret")) echo "<span style='color:#ff6600;'>*</span> ";
        $str = $list[$i][content];
        if (strstr($list[$i][wr_option], "secret"))
        $str = "<span class='small' style='color:#ff6600;'>$str</span>";

        $str = preg_replace("/\[\<a\s.*href\=\"(http|https|ftp|mms)\:\/\/([^[:space:]]+)\.(mp3|wma|wmv|asf|asx|mpg|mpeg)\".*\<\/a\>\]/i", "<script>doc_write(obj_movie('$1://$2.$3'));</script>", $str);
        $str = preg_replace("/\[\<a\s*href\=\"(http|https|ftp)\:\/\/([^[:space:]]+)\.(gif|png|jpg|jpeg|bmp)\"\s*[^\>]*\>[^\s]*\<\/a\>\]/i", "<img src='$1://$2.$3' id='target_resize_image[]' onclick='image_window(this);' border='0'>", $str);
        echo $str;
		echo " " . $list[$i][icon_new];
?>
		<div id="zm_comment_name_area">
			<span><?=$list[$i][name]?> <span class='small' style='color:#E3E3E3;'>|</span> </span>
<?		if ($is_ip_view) : ?> <span style="color:#B2B2B2; font-size:11px;"><?=$list[$i][ip]?></span> <span class='small' style='color:#E3E3E3;'>|</span> <? endif; ?>
		<span class="datetime_txt"><?=$list[$i][datetime]?></span> <span class='small' style='color:#E3E3E3;'>|</span>
		<?=zm_police($tcd, $list[$i][wr_id])?>
	</div> <!-- zm_comment_name_area -->




		<div id="zm_comment_good">
			<div style="width:80%; float:left;">
		<!-- 댓글 쓰기 -->
<?		if ($list[$i][is_reply]) : ?>
			<span class="bttn1"><a href="#" onclick="comment_box('<?=$comment_id?>', 'c'); this.blur();">댓글</a></span>
<?		endif; ?>
		<!-- 수정 -->
<?		if (!$list[$i][is_blind] && $list[$i][is_edit]) : ?>
			<span class="bttn1"><a href="#" onclick="comment_box('<?=$comment_id?>', 'cu');">수정</a></span>
<?		endif; ?>
		<!-- 삭제 버튼 -->
<?		if ($list[$i][is_del]) : ?>
			<span class="bttn1"><a href="#" onclick="comment_delete('<?=$list[$i][del_link]?>');">삭제</a></span>
<?		endif; ?>&nbsp;
			</div>

			<div style="width:18%; float:left; margin:auto;">
		<!-- 댓글 추천 -->
		<span class="good_box"><?=$list[$i][zm_comment_good]?>
		<a href="#" onclick="zm_board_vote('comment', 'good', '<?=$bo_table?>', '<?=$list[$i][wr_id]?>'); this.blur();" style="text-decoration:none;"><img src="<?=$board_skin_path?>/img/icon_good.gif" border='0' align="absmiddle"> <span id="good_<?=$list[$i][wr_id]?>" style="color:#2768EC;"><?=$list[$i][wr_good]?></span></span></a>
			</div>
	</div>
	</div> <!-- zm_comment_doc -->

	<div style="clear:both;">
		<span id='edit_<?=$comment_id?>' style='display:none;'></span><!-- 수정 -->
        <span id='reply_<?=$comment_id?>' style='display:none;'></span><!-- 답변 -->

		<input type=hidden id='secret_comment_<?=$comment_id?>' value="<?=strstr($list[$i][wr_option],"secret")?>">
        <textarea id='save_comment_<?=$comment_id?>' style='display:none;'><?=get_text($list[$i][content1], 0)?></textarea>
	</div>

</div> <!-- zm_comment_box -->
<? }
$comment_pages = str_replace("처음", "<img src='$board_skin_path/img/page_begin.gif' border='0' align='absmiddle' title='처음'>", $comment_pages);
$comment_pages = str_replace("이전", "<img src='$board_skin_path/img/page_prev.gif' border='0' align='absmiddle' title='이전'>", $comment_pages);
$comment_pages = str_replace("다음", "<img src='$board_skin_path/img/page_next.gif' border='0' align='absmiddle' title='다음'>", $comment_pages);
$comment_pages = str_replace("맨끝", "<img src='$board_skin_path/img/page_end.gif' border='0' align='absmiddle' title='맨끝'>", $comment_pages);
?>
<div style="margin:5px 0 5px 0;"><?=$comment_pages?></div>
</div>
<!-- 코멘트 리스트 -->

<? if ($is_comment_write) { ?>
<!-- 코멘트 입력 -->
<div id=comment_write style="display:none;">
<table width=100% border=0 cellpadding=1 cellspacing=0><tr><td>
<form name="fviewcomment" method="post" action="./write_comment_update.php" onsubmit="return fviewcomment_submit(this);" autocomplete="off" style="margin:0px;">
<input type=hidden name=w           id=w value='c'>
<input type=hidden name=bo_table    value='<?=$bo_table?>'>
<input type=hidden name=wr_id       value='<?=$wr_id?>'>
<input type=hidden name=comment_id  id='comment_id' value=''>
<input type=hidden name=sca         value='<?=$sca?>' >
<input type=hidden name=sfl         value='<?=$sfl?>' >
<input type=hidden name=stx         value='<?=$stx?>'>
<input type=hidden name=spt         value='<?=$spt?>'>
<input type=hidden name=page        value='<?=$page?>'>
<input type=hidden name=cwin        value='<?=$cwin?>'>
<input type=hidden name=is_good     value=''>

<table width=100% cellpadding=3 cellspacing=0 style="" bgcolor="#fff">
<tr>
    <td style="padding:5px 0 0 5px;">
        <? if ($is_guest) { ?>
			<div>
            이름 <INPUT type=text maxLength=20 size=8 name="wr_name" itemname="이름" required class=ed>
            패스워드 <INPUT type=password maxLength=20 size=8 name="wr_password" itemname="패스워드" required class=ed>
			</div>

            <img id='kcaptcha_image' style='margin:0;' align='absmiddle'/>
            <input title="왼쪽의 글자를 입력하세요." type="input" name="wr_key" size="10" itemname="자동등록방지" required class=ed>
        <?}?>

    </td>
</tr>
<tr>
    <td>
        <textarea id="wr_content" name="wr_content" rows=4 itemname="내용" required
        <? if ($comment_min || $comment_max) { ?> onkeyup="check_byte('wr_content', 'char_count');" <?}?> style='width:99%; word-break:break-all;'></textarea>
<? if ($comment_min || $comment_max) { ?>
	<div id="max_byte"><span id=char_count></span> / <span id="max_lenth"><?=$board[bo_comment_max]?></span> byte</div>
	<script type="text/javascript"> check_byte('wr_content', 'char_count'); </script>
<?}?>
    </td>
</tr>
<tr>
	<td style="text-align:right;"><input type=checkbox id="wr_secret" name="wr_secret" value="secret">비밀글
	<input type="button" value="내용입력" onclick="submit();" accesskey='s'>
</table>
</form>
</td></tr></table>
</div>

<script type="text/javascript" src="<?="$g4[path]/js/jquery.kcaptcha.js"?>"></script>
<script type="text/javascript">
var save_before = '';
var save_html = document.getElementById('comment_write').innerHTML;

function good_and_write()
{
    var f = document.fviewcomment;
    if (fviewcomment_submit(f)) {
        f.is_good.value = 1;
        f.submit();
    } else {
        f.is_good.value = 0;
    }
}

function fviewcomment_submit(f)
{
    var pattern = /(^\s*)|(\s*$)/g; // \s 공백 문자

    f.is_good.value = 0;

    var subject = "";
    var content = "";
    $.ajax({
        url: "<?=$board_skin_path?>/ajax.filter.php",
        type: "POST",
        data: {
            "subject": "",
            "content": f.wr_content.value
        },
        dataType: "json",
        async: false,
        cache: false,
        success: function(data, textStatus) {
            subject = data.subject;
            content = data.content;
        }
    });

    if (content) {
        alert("내용에 금지단어('"+content+"')가 포함되어있습니다");
        f.wr_content.focus();
        return false;
    }

    // 양쪽 공백 없애기
    var pattern = /(^\s*)|(\s*$)/g; // \s 공백 문자
    document.getElementById('wr_content').value = document.getElementById('wr_content').value.replace(pattern, "");
    if (char_min > 0 || char_max > 0)
    {
        check_byte('wr_content', 'char_count');
        var cnt = parseInt(document.getElementById('char_count').innerHTML);
        if (char_min > 0 && char_min > cnt)
        {
            alert(char_min+"자 이상으로 작성 해 주세요.");
            return false;
        } else if (char_max > 0 && char_max < cnt)
        {
            alert(char_max+"자 이하로 작성 해 주세요.");
            return false;
        }
    }
    else if (!document.getElementById('wr_content').value)
    {
        alert("내용을 입력하여 주십시오.");
        return false;
    }

    if (typeof(f.wr_name) != 'undefined')
    {
        f.wr_name.value = f.wr_name.value.replace(pattern, "");
        if (f.wr_name.value == '')
        {
            alert('이름이 입력되지 않았습니다.');
            f.wr_name.focus();
            return false;
        }
    }

    if (typeof(f.wr_password) != 'undefined')
    {
        f.wr_password.value = f.wr_password.value.replace(pattern, "");
        if (f.wr_password.value == '')
        {
            alert('패스워드가 입력되지 않았습니다.');
            f.wr_password.focus();
            return false;
        }
    }

    if (!check_kcaptcha(f.wr_key)) {
        return false;
    }

    return true;
}

function comment_box(comment_id, work)
{
    var el_id;
    // 코멘트 아이디가 넘어오면 답변, 수정
    if (comment_id)
    {
        if (work == 'c')
            el_id = 'reply_' + comment_id;
        else
            el_id = 'edit_' + comment_id;
    }
    else
        el_id = 'comment_write';

    if (save_before != el_id)
    {
        if (save_before)
        {
            document.getElementById(save_before).style.display = 'none';
            document.getElementById(save_before).innerHTML = '';
        }

        document.getElementById(el_id).style.display = '';
        document.getElementById(el_id).innerHTML = save_html;
        // 코멘트 수정
        if (work == 'cu')
        {
            document.getElementById('wr_content').value = document.getElementById('save_comment_' + comment_id).value;
            if (typeof char_count != 'undefined')
                check_byte('wr_content', 'char_count');
            if (document.getElementById('secret_comment_'+comment_id).value)
                document.getElementById('wr_secret').checked = true;
            else
                document.getElementById('wr_secret').checked = false;
        }

        document.getElementById('comment_id').value = comment_id;
        document.getElementById('w').value = work;

        save_before = el_id;
    }

    if (typeof(wrestInitialized) != 'undefined')
        wrestInitialized();

    //jQuery(this).kcaptcha_load();
    if (comment_id && work == 'c')
        $.kcaptcha_run();
}

function comment_delete(url)
{
    if (confirm("이 코멘트를 삭제하시겠습니까?")) location.href = url;
}

comment_box('', 'c'); // 코멘트 입력폼이 보이도록 처리하기위해서 추가 (root님)
</script>
<? } ?>

<script language="javascript">
//-- ziumsoft. 수정 금지 --------------------------------------------------------------------------
function zm_board_vote(mode, good, botable, wrid) {
	var		sdata, idcomm;
	$.ajax({
		url		: "<?=$g4[path]?>/bbs/zm.good.php",
		type	: "GET",
		data	: "mode=" + mode + "&good=" + good + "&bo_table=" + botable + "&wr_id=" + wrid,
		success	: function(data) {
			sdata	= data.split("/");
			if(sdata[0] == "good")	{
				idcomm	= "#good_" + sdata[2];
				$(idcomm).html(sdata[1]);
			}else
				alert(data);
		}
	});
}

function open_report(t, r) {
	window.open("./zm.police.php?bo_table="+bo_table+"&wrid="+r+"&report=bbs", "police", "width=600, height=500, toolbar=0, scrollbars=0");
};
</script>